Pipeline 🦾
=======

This operator starts a Modeler pipeline.
The operator will start as soon as it receives a start signal at its input port.

Configuration parameters
-------

The following parameters can or must be provided in order to execute a pipeline:

* **Graph Name** (*mandatory*): Name of the graph to execute.  
  ID: `graphName` | Type: `string` | Default: ""
* **Output Port Name**: Specify the name of output (exported) port in the subgraph, if you want to receive the data from it.  
  ID: `pipelineOutPortName` | Type: `string` | Default: ""
* **Configuration Substitutions**: The configuration substitutions to be passed into the graph.  
  ID: `configurationSubstitutions` | Type: `array` | Default: []
* **Stop graph after subgraph**: Defaults to `false`. If set to `true`, the given graph will be stoped immediately after finishing processing the subgraph.  
  ID: `stopGraph` | Type: `bool` | Default: false


Note that the value help for the property `Graph Name` displays always the list of possible graphs from the Modeler instance on the current machine.

_Remarks_:  


Input
-------
* **substitutions**: The input message, with substituin parameters .  
  Type: `message`

  _Example:_

  ```json
  {
    Attributes: {},
    Body: [{
        "name": "BATCH",
        "value": 1000
    }]
  }
  ```

Output
-------

* **output**: The output port return the data from the subgraph (if output port name is specified).  
  Type: `any.*`


Additional Info:
-------
<br>
<div class="footer"> &copy; 2022 Michal Majer | michal.majer@hotmail.com | MIT License </div>

